nxt.http.callers

## Class GetTransactionBytesCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetTransactionBytesCall>
  - - nxt.http.callers.GetTransactionBytesCall

-     public class GetTransactionBytesCall
      extends APICall.Builder<GetTransactionBytesCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetTransactionBytesCall` | `create()`
    `GetTransactionBytesCall` | `requireBlock(java.lang.String requireBlock)`
    `GetTransactionBytesCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetTransactionBytesCall` | `transaction(long transaction)`
    `GetTransactionBytesCall` | `transaction(java.lang.String transaction)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetTransactionBytesCall create()

    - #### requireLastBlock

          public GetTransactionBytesCall requireLastBlock(java.lang.String requireLastBlock)

    - #### transaction

          public GetTransactionBytesCall transaction(java.lang.String transaction)

    - #### transaction

          public GetTransactionBytesCall transaction(long transaction)

    - #### requireBlock

          public GetTransactionBytesCall requireBlock(java.lang.String requireBlock)